Deprecated Components

Older versions of LabKey supported components that have been deprecated. Developers creating new modules or updating existing modules should remove dependencies on these deprecated components:

  • PostgreSQL 8.1, 8.2
  • Microsoft SQL Server 2000, 2005, 2008 (pre-R2)
  • Beehive PageFlows (ViewController, @Jpf.Action, @Jpf.Controller)
  • Struts (FormData, FormFile, StrutsAttachmentFile)
  • Groovy (.gm files, GroovyView, GroovyExpression, BooleanExpression)
  • ACL-based permissions

discussion

Discussion

Search 

Pages 

previousnext
 
expand all collapse all